// Steuerung von bis zu 5 Servo Motoren, mit Hilfe von Timer 2.

// Autor: Stefan Frings <stefan@stefanfrings.de>
// Datum: 02.08.2012

#ifndef _SERVO_H_
#define _SERVO_H_


// In der Datei servo.c müssen Sie noch die I/O Pins festlegen.


// Bestimmt die Zielposition für einen der bis zu 5 Servos.
// Servos unterstützen typischwerweise den Bereich -90 bis +90 Grad.
void set_servo(uint8_t kanal, int8_t winkel);


// Schaltet einen der bis zu 5 Servos in den Standby Modus.
void servo_standby(uint8_t kanal);

#endif // _SERVO_H_