#include "nibobee.h"
#include "fahren.h"


// Hauptprogramm
int main() 
{
    // Zeige den Batterie-Status an
    batterie_status(); 
        
    // Warte bis ein Fühler gedrückt wird
    while (!SENS_ANY) {};
    
    // Warte eine Sekunde
    sleep(1000);
    
    // Fahre vorwärts mit halber Kraft
    set_DIR_L(1);
    set_DIR_R(0); // Der rechte Motor ist anders herum eingebaut
    PWM_L=512;
    PWM_R=512;
    
    // Warte 5 Sekunden
    sleep(5000);
    
    // Stop
    PWM_L=0;
    PWM_R=0;
    
    // Warte eine Sekunde
    sleep(1000);
    
    // Einen Meter geradeaus fahren
    vorwaerts(100*CM,SCHNELL);
    while (fahrstatus() < ZIEL_ERREICHT) 
    {
         fahren_regeln();
    }
}
